Mailinglist Archive: opensuse-factory (808 mails)

< Previous Next >
[opensuse-factory] gnome-menus update coming to openSUSE:Factory
Hi all,

First, sorry for x-posting, but the topic addresses really both.
I just prepared updates of gnome-menus in GNOME:Factory. Nothing special
so far.

Unfortunately, gnome-menus 3.1.5 is ABI and API incompatible to the
existing gnome-menus (v 3.0.1) which we currently have in Factory. And
as there are more consumers than only GNOME packages, I feel you should
all be aware of the upcoming change. Especially as some packages might
fail a build with the update if o precautions are taken.

In order to avoid any big disruption, I submitted gnome-menus 3.0.1 as a
new package, gnome-menus-legacy, to openSUSE:Factory. This will provide
a devel package and the shared library, so that your app will keep on
working.

Of course, the -devel package has a different name, and as such it
depends on your .spec file if there is work needed from your side or
not.

If you have a BuildRequires: gnome-menus-devel, then you do have to act
and change this to BuildRequires: pkgconfig(libgnome-menu).
This will ensure that even though the package is renamed, you get the
right -devel file on your system.

for the end user, gnome-menu 3.1.5 and 3.0.1 have differen library names
and as such are parallel installable. The other subpackages are weirdly
named but are not important for your packages. An update of those willt
ransparently happen (gnome-menus-editor for example).

A full list of package in Factory depending on gnome-menus can be found
in https://bugzilla.novell.com/show_bug.cgi?id=712674

Best regards,
Dominique


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-factory+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages